* {
    margin: 0px;
    font-family: 'Roboto', sans-serif;
}

#head {
    background-color: #222;
    text-align: center;
    padding: 30px;
}

.header_flex {
    display: flex;
    justify-content: space-between;
}

#main {
    width: 100%;
    height: auto;
}

#form-container {
    width: 80%;
    margin: 60px auto;
    height: auto;
    background-color: #f4f4f4!important;
}

#form-container-login {
    width: 500px;
    margin: 10% auto;
    height: auto;
    background-color: #f4f4f4!important;
}

#form-container-login h3 {
    text-align: center;
}

h2 {
    text-transform: capitalize;
    font-size: 38px;
    font-weight: 500;
    width: 60%;
    float: left;
}

h1 {
    text-transform: capitalize;
    font-size: 38px;
    font-weight: 500;
}

form {
    padding: 45px;
    display: flex;
    flex-direction: column;
}

a {
    color: #be972a;
}

input, select {
    border: 0;
    padding: 10px 20px;
    margin-bottom: 20px;
}

#search {
    padding: 15px 20px !important;
}

#title {
    width: 80%;
    margin: 80px auto 0px auto;
}

h4 {
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 20px;
}

#search_user_val {
    padding: 15.5px 20px !important;
}

#search_btn, #add_order, .btn-y {
    line-height: 1;
    display: inline-block;
    max-width: 100%;
    padding: 15px 26.5px;
    box-shadow: none;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    vertical-align: top;
    color: #222222;
    background-color: #dbad32;
    border-radius: 3px;
    transition: .3s;
}

#search_btn:hover, #add_order:hover, .btn-y:hover {
    background-color: #be972a;
}

#submit {
    line-height: 1;
    display: inline-block;
    max-width: 100%;
    padding: 15px 26.5px;
    box-shadow: none;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    vertical-align: top;
    color: #222222;
    background-color: #dbad32;
    border-radius: 3px;
    transition: .3s;
}

#submit:hover {
    background-color: #be972a;
}

#modifica {
    line-height: 1;
    display: inline-block;
    max-width: 100%;
    padding: 15px 26.5px;
    box-shadow: none;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    vertical-align: top;
    color: #222222;
    background-color: #dbad32;
    border-radius: 3px;
    transition: .3s;
    width: 40%;
    margin: 20px auto 0px auto;
}

#modifica:hover {
    background-color: #be972a;
}

#elimina {
    line-height: 1;
    display: inline-block;
    max-width: 100%;
    padding: 15px 26.5px;
    box-shadow: none;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    vertical-align: top;
    color: #fff;
    background-color: #aa0000;
    border-radius: 3px;
    transition: .3s;
    width: 40%;
    margin: 20px auto 0px auto;
}

#elimina:hover {
    background-color: #8d0000;
}

#rimanda {
    line-height: 1;
    display: inline-block;
    max-width: 100%;
    padding: 15px 26.5px;
    box-shadow: none;
    text-align: center;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    vertical-align: top;
    color: #fff;
    background-color: #00da00;
    border-radius: 3px;
    transition: .3s;
    width: 40%;
    margin: 20px auto 0px auto;
}

#rimanda:hover {
    background-color: #06b906;
}

.fidelity {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    visibility: hidden;
}

.fidelity h3 {
    color: #07b607;
}

#check-block {
    display: flex;
    flex-direction: column;
}

.separe {
    width: 100%;
    border-bottom-width: 3px;
    margin-top: 30px;
    position: relative;
    display: inline-block;
    vertical-align: middle;
    border-bottom: 2px solid #dbad32;
}

label {
    margin-bottom: 5px;
}

#check-block label {
    margin-bottom: 0px;
}

#privacy-block {
    margin-top: 20px;
}

#errore {
    color: #f10050 !important;
    text-align: center;
}

.errore {
    background-color: #f10050 !important;
    color: #fff !important;
}

.errore::placeholder {
    color: #fff !important;
}

.errore-label {
    color: #f10050 !important;
}

.errore-label a {
    color: #f10050 !important;
    text-decoration: underline !important;
}

#n {
    display: none;
}

.title-flag {
    height: 44px;
    width: auto;
    float: right;
}

#flags {
    padding-top: 80px;
}

#flags img {
    width: 100%;
    height: auto;
    margin: auto;
}

#flags .flex-flag div {
    width: 250px;
    height: 250px;
}

.flex-flag {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 80px;
}

p {
    margin: 10px 0px 20px 0px;
}

.risposta {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    visibility: hidden;
}

.risposta h3 {
    color: #07b607;
}

.utente {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    visibility: hidden;
}

.utente h3 {
    color: #07b607;
}

.result_user, .result_prod {
    display: flex;
}

.result_user span, .result_prod span {
    padding: 15px;
    background-color: #fff;
    border-radius: 2px;
    margin-right: 5px;
}

@media (min-width: 900px) {
    .flex-flag {
        display: initial !important;
    }
    #flags .flex-flag div {
        width: 20%;
        height: auto;
        float: left;
        margin-right: 6.6%;
    }
    #flags .flex-flag:nth-child(2) div:nth-child(2) {
        margin-right: 0% !important;
    }
    #flags {
        width: 80%;
        margin: auto;
        padding-top: 80px;
    }
}

.pad {
    padding: 45px;
    display: flex;
    flex-direction: column;
}

/* TABELLA BACK OFFICE */

table {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

table td, table th {
    border: 1px solid #ddd;
    padding: 8px;
}

table tr:nth-child(even) {
    background-color: #f2f2f2;
}

table tr:hover {
    background-color: #ddd;
}

table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #222;
    color: white;
}

@media (min-width: 452px) and (max-width: 700px) {
    #flags {
        width: 80%;
        margin: auto;
    }
    #flags .flex-flag div {
        width: 150px;
        height: 150px;
    }
}

@media (max-width: 450px) {
    #flags .flex-flag div {
        width: 100px;
        height: 100px;
    }
}

/* POPUP */

/* The Modal (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content */

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

/* The Close Button */

.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover, .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/* POPUP */

/* The Modal (background) */

.modal2 {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content */

.modal-content2 {
    background-color: #fefefe;
    margin: 20% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 40%;
    text-align: center;
}

.modal-content2 h3 {
    color: #00da00;
}

/* The Close Button */

.close2 {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close2:hover, .close2:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

@media (max-width: 1300px) {
    .pad {
        padding: 20px;
    }
    #form-container {
        width: 95%;
    }
    .modal-content-order {
        width: 90% !important;
    }

    body{
        font-size: 12px;
    } 

    table td, table th {
        border: 1px solid #ddd;
        padding: 4px !important;
    }
}

.toggle th {
    background-color: rgb(105, 105, 105) !important;
    cursor: pointer;
}

#discount_type, #discount_number {
    margin-bottom: unset !important;
    margin-right: 10px;
    /* -moz-appearance: none; */
    /* Firefox */
    /* -webkit-appearance: none; */
    /* Safari and Chrome */
    /* appearance: none; */
    border-radius: 3px;
}

/* .flex-price {
    display: flex;
    flex-direction: column;
    text-align: end;
    margin-bottom: 20px;
    background-color: #fff;
    padding: 10px;
} */

.flex-price {
    /* display: flex; */
    /* flex-direction: column; */
    text-align: center;
    margin-bottom: 20px;
    background-color: #fff;
    padding: 10px;
    width: 200px;
    margin-left: auto;
}

.flex-price h4, .flex-price div{
    display: inline-block;
    margin-bottom: 0px;
}

.epilogue{
    background-color: rgb(105, 105, 105) !important;
    text-align: center;
}

#search_u{
    padding-bottom: 0px !important;
}

